[ARVADOS-DEV] updated: a3ec6d08fcaa76d3b16906f57eb07bbecafce545
git at public.curoverse.com
git at public.curoverse.com
Fri Aug 28 09:52:10 EDT 2015
Summary of changes:
jenkins/run-build-packages-all-targets.sh | 18 +++++++++++++++++-
1 file changed, 17 insertions(+), 1 deletion(-)
via a3ec6d08fcaa76d3b16906f57eb07bbecafce545 (commit)
from aafddea00106bd7e9fd6336623788dbab95b7306 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit a3ec6d08fcaa76d3b16906f57eb07bbecafce545
Author: Ward Vandewege <ward at curoverse.com>
Date: Fri Aug 28 09:51:43 2015 -0400
run-build-packages-all-targets.sh should abort of WORKSPACE is not set.
No issue #
diff --git a/jenkins/run-build-packages-all-targets.sh b/jenkins/run-build-packages-all-targets.sh
index a1052a9..2761f9f 100755
--- a/jenkins/run-build-packages-all-targets.sh
+++ b/jenkins/run-build-packages-all-targets.sh
@@ -1,6 +1,22 @@
#!/bin/bash
-# Orchestrate run-build-packages.sh for every target.
+read -rd "\000" helpmessage <<EOF
+$(basename $0): Orchestrate run-build-packages.sh for every target
+
+Syntax:
+ WORKSPACE=/path/to/arvados $(basename $0)
+
+WORKSPACE=path Path to the Arvados source tree to build packages from
+
+EOF
+
+if ! [[ -n "$WORKSPACE" ]]; then
+ echo >&2 "$helpmessage"
+ echo >&2
+ echo >&2 "Error: WORKSPACE environment variable not set"
+ echo >&2
+ exit 1
+fi
set -e
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list